> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useduro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause a subscription



## OpenAPI

````yaml /openapi.json post /portal/email/subscriptions/{mode}/{id}/pause
openapi: 3.1.0
info:
  title: Duro API
  version: 1.0.0
  description: >-
    Recovery-first subscription billing. Authenticate with a secret key
    (sk_test_ / sk_live_) as a bearer token. Amounts are in integer minor units
    (kobo).
servers:
  - url: https://api.useduro.com
    description: Production (live)
  - url: https://sandbox.useduro.com
    description: Sandbox (test)
security:
  - bearerAuth: []
tags:
  - name: Plans
  - name: Promo Codes
  - name: Payment Links
  - name: Customers
  - name: Transactions
  - name: Subscriptions
  - name: Invoices
  - name: Recovery
  - name: Settings
  - name: Analytics
  - name: Checkout
  - name: Events
  - name: OAuth
  - name: Customer Checkout
  - name: Customer Identity
  - name: Customer Portal
  - name: Customer Portal Account
paths:
  /portal/email/subscriptions/{mode}/{id}/pause:
    parameters:
      - $ref: '#/components/parameters/portalMode'
      - $ref: '#/components/parameters/id'
    post:
      tags:
        - Customer Portal Account
      summary: Pause a subscription
      operationId: portalEmailPause
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PortalSubscriptionAction'
      security:
        - portalSession: []
components:
  parameters:
    portalMode:
      name: mode
      in: path
      required: true
      schema:
        type: string
        enum:
          - test
          - live
    id:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    PortalSubscriptionAction:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        currentPeriodEnd:
          type: string
          nullable: true
        cancelAtPeriodEnd:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.
    portalSession:
      type: apiKey
      in: header
      name: x-portal-session
      description: The session token returned by /portal/email/verify.

````